<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 2008 - INRIA
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="hilite_edges">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>hilite_edges</refname>
    <refpurpose> highlights a set of edges</refpurpose>
  </refnamediv>
  <refnamediv xml:id="unhilite_edges">
    <refname>unhilite_edges</refname>
    <refpurpose> unhighlights a set of edges</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>hilite_edges(p)
unhilite_edges(p)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>p</term>
        <listitem>
          <para>row vector of edge numbers</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para><literal>hilite_edges</literal> highlights the set of edges <literal>p</literal> of the
    displayed graph in the current edit_graph window.</para>
    <para><literal>unhilite_edges</literal> un-highlights the set of edges <literal>p</literal> of the
    displayed graph in the current edit_graph window. If the edges are not hilited nothing is done.</para>
  </refsection>
  <refsection>
    <title>Examples</title>
    <programlisting role="example"><![CDATA[ 
ta=[1 1 2 2 2 3 4 5 5 7 8 8 9 10 10 10 11 12 13 13 13 14 15 16 16 17 17];
he=[2 10 3 5 7 4 2 4 6 8 6 9 7 7 11 15 12 13 9 10 14 11 16 1 17 14 15];
g=make_graph('foo',1,17,ta,he);
g.nodes.graphics.x=[283 163 63 57 164 164 273 271 339 384 504 513 439 623 631 757 642]/2;
g.nodes.graphics.y=[59 133 223 318 227 319 221 324 432 141 209 319 428 443 187 151 301]/2;
show_graph(g);
for i=1:edge_number(g), hilite_edges(i);xpause(3d5);unhilite_edges(i), end;
hilite_edges(1:3:edge_number(g))
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="hilite_nodes">hilite_nodes</link>
      </member>
      <member>
        <link linkend="show_nodes">show_nodes</link>
      </member>
      <member>
        <link linkend="show_arcs">show_arcs</link>
      </member>
      <member>
        <link linkend="netwindow">netwindow</link>
      </member>
      <member>
        <link linkend="netwindows">netwindows</link>
      </member>
    </simplelist>
  </refsection>
</refentry>
